#include <bits/stdc++.h>
using namespace std;
void Main(){
long long n,m,k;
cin >>n>>m>>k;
long long d=n/k;
if((k-(n%k))*d*(d+1)+(n%k)*(d+1)*(d+2)<=m*2)cout <<"Tak"<<endl;
else cout <<"Nie"<<endl;

}
int main(){
int t;
cin >>t;
for(int i=0;i<t;i++)Main();
}